%define upstream_name    Log-Any-Adapter-Dispatch
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Adapter to use Log::Dispatch with Log::Any
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::Any::Adapter)
BuildRequires: perl(Log::Dispatch) >= 2.260.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This Log::Any adapter uses Log::Dispatch for logging.

You may either pass parameters (like _outputs_) to be passed to
'Log::Dispatch->new', or pass a 'Log::Dispatch' object directly in the
_dispatcher_ parameter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-7.mga10
+ Revision: 2205564
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-6.mga9
+ Revision: 1811455
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.80.0-5.mga8
+ Revision: 1523772
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.80.0-4.mga7
+ Revision: 1374764
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1284513
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.80.0-2.mga7
+ Revision: 1165270
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.80.0-1.mga7
+ Revision: 1141560
- update to 0.08
- update to 0.08

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-10.mga6
+ Revision: 1029314
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.60.0-9.mga6
+ Revision: 966424
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.60.0-8.mga6
+ Revision: 844519
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-7.mga5
+ Revision: 739561
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 685257
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-5.mga4
+ Revision: 512646
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-4.mga3
+ Revision: 369204
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-3.mga1
+ Revision: 36880
- rebuild
- mageia rebuild
- imported package perl-Log-Any-Adapter-Dispatch


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.60.0-2mdv2011.0
+ Revision: 624920
- Fix the dependency on perl-Log-Any-Adapter
- import perl-Log-Any-Adapter-Dispatch

